{
    "env": {
        "browser": true,
        "es2021": true
    },
    "extends": [
        "eslint:recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:astro/recommended",
        "plugin:svelte/recommended"
    ],
    "parser": "@typescript-eslint/parser",
    "parserOptions": {
        "ecmaVersion": "latest",
        "sourceType": "module"
    },
    "plugins": [
        "@typescript-eslint"
    ],
    "overrides": [
        {
            "files": ["*.astro"],
            "parser": "astro-eslint-parser",
            "parserOptions": {
                "sourceType": "module"
            },
            "rules": {
                "astro/no-conflict-set-directives": "error",
                "astro/no-unused-define-vars-in-style": "error"
            }
        }
    ],
    "rules": {
        "comma-spacing": ["error", { "before": false, "after": true }],
        "no-multiple-empty-lines": ["error", { "max": 1, "maxEOF": 1 }],
        "indent": [
            "error",
            4
        ],
        "quotes": [
            "error",
            "double"
        ],
        "semi": [
            "error",
            "always"
        ],
        "no-console": "error",
        "no-debugger": "error",
        "no-alert": "error",
        "no-undef": "error",
        "no-var": "error",
        "no-const-assign": "error",
        "comma-dangle": ["error", "always-multiline"],
        "no-unneeded-ternary": "error",
        "multiline-ternary": ["error", "always-multiline"]
    }
}
